- [HTTP request](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#body.request_body)
- [Response body](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#body.aspect)
- [Try it!](https://docs.cloud.google.com/error-reporting/reference/rest/v1beta1/projects/deleteEvents#try-it)

Deletes all error events of a given project.

### HTTP request

Choose an endpoint:
global us africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`DELETE https://clouderrorreporting.googleapis.com/v1beta1/{projectName=projects/*}/events`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectName` | `string` Required. The resource name of the Google Cloud Platform project. Written as `projects/{projectID}` or `projects/{projectID}/locations/{location}`, where `{projectID}` is the [Google Cloud Platform project ID](https://support.google.com/cloud/answer/6158840) and `{location}` is a Cloud region. Examples: `projects/my-project-123`, `projects/my-project-123/locations/global`. For a list of supported locations, see [Supported Regions](https://cloud.google.com/logging/docs/region-support). `global` is the default when unspecified. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/stackdriver-integration`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).